## com.baidubce.services.ses.model
Class SendEmailRequest.Mail.Source

    java.lang.Object
      com.baidubce.services.ses.model.SendEmailRequest.Mail.Source

Enclosing class:
  SendEmailRequest.Mail

    public static class SendEmailRequest.Mail.Source

extends Object

The sender object of email.

Constructor Summary
`SendEmailRequest.Mail.Source()`
`SendEmailRequest.Mail.Source(String from, String returnPath, String replyTo)`

Method Summary
`String` `getDisplayName()`
`String` `getFrom()`
`String` `getReplyTo()`
`String` `getReturnPath()`
`void` `setDisplayName(String displayName)`
`void` `setFrom(String from)`
`void` `setReplyTo(String replyTo)`
`void` `setReturnPath(String returnPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendEmailRequest.Mail.Source

    public SendEmailRequest.Mail.Source()

### SendEmailRequest.Mail.Source

    public SendEmailRequest.Mail.Source(String from,
                                        String returnPath,
                                        String replyTo)

Method Detail

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getDisplayName

    public String getDisplayName()

### setDisplayName

    public void setDisplayName(String displayName)

### getReturnPath

    public String getReturnPath()

### setReturnPath

    public void setReturnPath(String returnPath)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

Copyright © 2016. All rights reserved.